Skip Menu |
 

This queue is for tickets about the HTML-WikiConverter CPAN distribution.

Report information
The Basics
Id: 102916
Status: open
Priority: 0/
Queue: HTML-WikiConverter

People
Owner: Nobody in particular
Requestors: dorian [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.68
Fixed in: (no value)



Subject: Test suite depends on diberri.dyndns.org
Download (untitled) / with headers
text/plain 841b
Which is currently down: Running make test PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/00-load.t ........... 1/1 # Testing HTML::WikiConverter 0.68, Perl 5.014002, /usr/bin/perl t/00-load.t ........... ok t/01-normalizer.t ..... ok t/01-wikiconverter.t .. 1/53 request for <http://diberri.dyndns.org/wikipedia/html2wiki-old/test.html> failed at t/01-wikiconverter.t line 162. # Looks like you planned 53 tests but ran 35. # Looks like your test exited with 22 just after 35. t/01-wikiconverter.t .. Dubious, test returned 22 (wstat 5632, 0x1600) Failed 18/53 subtests t/boilerplate.t ....... ok t/pod-coverage.t ...... skipped: Test::Pod::Coverage 1.04 required for testing POD coverage t/pod.t ............... skipped: Test::Pod 1.14 required for testing POD
Download (untitled) / with headers
text/plain 1.1k
On Fri Mar 20 15:10:22 2015, DORIAN wrote: Show quoted text
> Which is currently down: > > Running make test > PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" > "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t > t/00-load.t ........... 1/1 # Testing HTML::WikiConverter 0.68, Perl > 5.014002, /usr/bin/perl > t/00-load.t ........... ok > t/01-normalizer.t ..... ok > t/01-wikiconverter.t .. 1/53 request for > <http://diberri.dyndns.org/wikipedia/html2wiki-old/test.html> failed > at t/01-wikiconverter.t line 162. > # Looks like you planned 53 tests but ran 35. > # Looks like your test exited with 22 just after 35. > t/01-wikiconverter.t .. Dubious, test returned 22 (wstat 5632, 0x1600) > Failed 18/53 subtests > t/boilerplate.t ....... ok > t/pod-coverage.t ...... skipped: Test::Pod::Coverage 1.04 required for > testing POD coverage > t/pod.t ............... skipped: Test::Pod 1.14 required for testing > POD
This problem persists. Observed today with perl-5.27.11 on FreeBSD-11.1. Because of this test failure, programs such as 'cpan' which install CPAN modules in dependency order are unable to install modules which depend on this one. Thank you very much. Jim Keenan


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.